; -=====================================================================================-
;                                  PureZIP test file 3
; -=====================================================================================-
;
Procedure PureZIP_CallbackForTest(file.s, PerCent.f)
  Debug StrF(PerCent, 2) + "%"
EndProcedure
;
myFileinfo.PureZIP_FileInfo
PureZIP_SetProgressionCallback(@PureZIP_CallbackForTest())
;
; ---------------------------------------------------------------
;
MyZIP.s = "C:\PureBasic393\Program\PureZIP\essai1\test.zip"
MyZIPFile1.s = "C:\PureBasic393\Program\PureZIP\essai1\test_addfile.txt"
MyZIPFile2.s = "C:\PureBasic393\Program\PureZIP\essai1\test_addfile2.txt"
MyZIPOutPut.s = "C:\PureBasic393\Program\PureZIP\essai3\"
; Create & Compress
If PureZIP_Archive_Create(MyZIP, #APPEND_STATUS_CREATE)
  Debug "--- Compress"
  Debug PureZIP_Archive_Compress(MyZIPFile1, #FALSE)
  Debug PureZIP_Archive_Compress(MyZIPFile2, #FALSE)
  PureZIP_Archive_Close()
EndIf
; Read & get info
If PureZIP_Archive_Read(MyZIP)
  Debug "--- Info"
  ReturnValue.l = PureZIP_Archive_FindFirst() = #UNZ_OK
  While ReturnValue = #UNZ_OK 
    Debug PureZIP_Archive_FileInfo(@myFileinfo)
    Debug "Filename: " + myFileinfo\FileName
    Debug "Compressed Size: " + Str(myFileinfo\CompressedSize)
    Debug "Uncompressed Size: "+ Str(myFileinfo\unCompressedSize)
    ReturnValue.l = PureZIP_Archive_FindNext()
  Wend
  PureZIP_Archive_Close()
EndIf
; Read & Extract
If PureZIP_Archive_Read(MyZIP)
  ; Extract files
  Debug "--- Extraction"
  ReturnValue.l = PureZIP_Archive_FindFirst() = #UNZ_OK
  While ReturnValue = #UNZ_OK 
    Debug PureZIP_Archive_Extract(MyZIPOutPut, #TRUE)
    ReturnValue.l = PureZIP_Archive_FindNext()
  Wend
  ; Locate
  Debug "--- Locate"
  If PureZIP_Archive_Locate(GetFilePart(MyZIPFile1)) = #UNZ_OK
    Debug PureZIP_Archive_FileInfo(@myFileinfo)
    Debug "Filename: " + myFileinfo\FileName
    Debug "Compressed Size: " + Str(myFileinfo\CompressedSize)
    Debug "Uncompressed Size: "+ Str(myFileinfo\unCompressedSize)
    PureZIP_Archive_Close()
  EndIf
EndIf