; -=====================================================================================-
;                                  PureZIP test file 1
; -=====================================================================================-
;
Procedure PureZIP_CallbackForTest(File.s, PerCent.f)
  Debug StrF(PerCent, 2) + "%"
EndProcedure
;
myFileinfo.PureZIP_FileInfo
PureZIP_SetProgressionCallback(@PureZIP_CallbackForTest())
;
; ---------------------------------------------------------------
;
MyZIP.s = "C:\PureBasic394\Program\test.zip"
MyFilesToZIP.s = "C:\PureBasic394\Program\AQ-*.*"
MyZIPOutPut.s = "C:\PureBasic394\Program\test\"
; Create archive
Debug PureZIP_AddFiles(MyZIP, MyFilesToZIP, #PureZIP_StorePathAbsolute, #PureZIP_Recursive)
; Extract files from archive
Debug PureZIP_ExtractFiles(MyZIP, "*.*", MyZIPOutPut, #TRUE)
; Count files in archive
Debug PureZIP_GetFileCount(MyZIP)
; Add memory bank to archive
Debug PureZIP_AddMemory(MyZIP, "MemoryTest.txt", @MyZIP, Len(MyZIP))
; On file more in archive :
Debug PureZIP_GetFileCount(MyZIP)
; Get files information
For i = 0 To PureZIP_GetFileCount(MyZIP) - 1 
  Debug PureZIP_GetFileInfo(MyZIP,i , @myFileinfo)
  Debug "Number " + Str(i)
  Debug "Filename: " + myFileinfo\FileName
  Debug "Compressed Size: " + Str(myFileinfo\CompressedSize)
  Debug "Uncompressed Size: "+ Str(myFileinfo\unCompressedSize)
  Debug "--------------"
  ; FILE DATE --------------
  ; IMPORTANT : tmu_date\tm_mon  = [0 - 11] : you have to add 1 to tm_mon to get the correct month
  Debug "Last Modification Date : " + FormatDate("%dd/%mm/%yyyy", Date(myFileinfo\tmu_date\tm_year, myFileinfo\tmu_date\tm_mon + 1, myFileinfo\tmu_date\tm_mday, myFileinfo\tmu_date\tm_hour, myFileinfo\tmu_date\tm_min, 0))
  ; ------------------------
Next
; Find file in archive
Debug PureZIP_FindFile(MyZIP, "MemoryTest.txt")
; Extract file to memory
MyTEST.s = "0123456789001234567890012345678900123456789001234567890"
Debug PureZIP_ExtractMemory(MyZIP, 21, @MyTEST, Len(MyTEST))
Debug Left(MyTEST, 47)